/*============================ 
 * Tabellen_III
 *
 * http://dernulleffekt.de
 *============================ 
 */

import processing.serial.*; // die Serial Library einlesen
Serial myPort;             // Serielle Port festlegen

//DEKLARIEREN
Ball [] Ballerei = new Ball[100];
int Helligkeit;

void setup() {
  size(600, 600);

  println(Serial.list());
  // Den Seriellen Port des Arduinos 
  // in die nächste Funktion eintragen, 1,2 oder 3.
  // Seriellen Port o:ffnen, Baudrate festlegen:
  myPort = new Serial(this, Serial.list()[0], 9600);
  // erst bei einem Zeilenumbruch, wird ein "serialEvent" gestartet:
  myPort.bufferUntil('\n');

  //INITIALISIEREN
  for (int i = 0; i < Ballerei.length; i++) {
    Ballerei[i] = new Ball(random(20, width-20), random(20, 300));
  }
}

void draw () {
  background(30);

  //FUNKTION AUFRUFEN
  for (int i = 0; i < Helligkeit; i++) { // abha:ngig von der Helligkeit
    Ballerei[i].spielen();
  }
}

void serialEvent (Serial myPort) {
  // den ASCII Wert abrufen:
  String inString = myPort.readStringUntil('\n');

  if (inString != null) {
    inString = trim(inString); // alle Leerzeichen entferne
    float inByte = float(inString); // in eine Zahl konvertieren
    inByte = map(inByte, 0, 1023, 1, 100); // Abbilden auf die Bildschirmgro:sse
    Helligkeit = round(inByte);
    println(Helligkeit);
  }
}

