

class Ball {
  //GLOBAL VARIABELS: allgmeingültige Variablen
  float x = 0;
  float y = 0;
  float geschwindigkeitX = 5;
  float geschwindigkeitY = 2;
  float durchmesser = 10;

  //CONSTRUKTOR: Konstruktion, Aufbau und initialisieren d. Variablen
  Ball(float _x, float _Y) {
    x = _x;
    y = _Y;
  }

  // FUNKTION: Funktionen in Modulen  
  void spielen() {
    zeigen();
    bewegen();
    aufprall();
    schwerkraft();
  }

  void zeigen() {
    stroke(255);
    fill(50, 50, 50);
    ellipse(x, y, 2*durchmesser, 2*durchmesser);
  }

  void bewegen() {
    x += geschwindigkeitX;
    y += geschwindigkeitY;
  }

  void aufprall() {
    if (x > width - durchmesser) {
      geschwindigkeitX = geschwindigkeitX*-1;
    }
    if (x < durchmesser) {
      geschwindigkeitX = geschwindigkeitX*-1;
    }
    if (y > height-durchmesser) {
      geschwindigkeitY = geschwindigkeitY*-1;
    }
    if (y < durchmesser) {
      geschwindigkeitY = geschwindigkeitY*-1;
    }
  }

  void schwerkraft() {
    geschwindigkeitY += 0.2;
  }
}

